class TenantDocState {

  final List<String> docList;

  final double remainingSpace;

  const TenantDocState({
    required this.docList,
    this.remainingSpace = 0,
  });

  TenantDocState copyWith({
    List<String>? docList,
    double? remainingSpace,
  }) {
    return TenantDocState(
      docList: docList ?? this.docList,
      remainingSpace: remainingSpace ?? this.remainingSpace,
    );
  }

}
